---

# - import_tasks:
#     file: dir-setup.yml
#   tags: ['dirs']

- name: Include distro vars
  include_vars:
    file: vars/{{ ansible_distribution }}.yml

- name: Include tasks based on distribution
  include_tasks: "distro/{{ ansible_distribution }}.yml"
  tags: ['packages', 'mirrors']

- name: install sshd config
  template:
    src: etc/ssh/sshd_config.j2
    dest: /etc/ssh/sshd_config
    backup: True
  notify: restart sshd
  tags: ['sshd']

- import_tasks:
    file: zshell.yml
  tags: ['zsh']

- import_tasks:
    file: firewall.yml
  tags: ['firewall']

- import_tasks:
    file: zram.yml
  tags: ['zram']

- import_tasks:
    file: filesystem.yml
  tags: ['filesystem']

# - import_tasks:
#     file: ruby.yml
#   tags: ['ruby']

# - import_tasks:
#     file: utils.yml
#   tags: ['utils']

- import_tasks:
    file: updatedb.yml
  tags: ['updatedb']

- name: Set misc profile vars
  template:
    src: usr/lib/environment.d/51-misc-environment.conf.j2
    dest: /usr/lib/environment.d/51-misc-environment.conf
    mode: '0644'
    backup: yes
  tags: ['env']

- import_tasks:
    file: grub.yml
  tags: ['grub']
  when: ansible_distribution != 'AlmaLinux'

#TODO: move input-remapper task out of base
# - import_tasks:
#     file: input.yml
#   when: install.input_remapper|default(false)|bool == True
#   tags: ['input']

# - import_tasks:
#     file: syncthing.yml
#   when: install.syncthing|default(false)|bool == True
#   tags: ['syncthing']

# - import_tasks:
#     file: seafile.yml
#   when: seafile.install|default(false)|bool == True
#   tags: ['seafile']
